package com.googlecode.wicketslides;

import java.io.Serializable;

import org.apache.wicket.AttributeModifier;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.image.Image;
import org.apache.wicket.markup.html.list.ListItem;

public class ImageLoader implements Serializable {

   protected void populate(final ListItem item) {
      item.add(new Image("image").add(new AttributeModifier("src", true, item.getModel())));
      item.add(new Image("thumb").add(new AttributeModifier("src", true, item.getModel())));
      item.add(new Label("title", "TITLE"));
      item.add(new Label("description", "description"));
   }

}
